#ifndef COMMANDS_H
#define COMMANDS_H


// COMMANDS

extern char *DCC;
extern char *PASS;
extern char *OPER;
extern char *SERVICE;
extern char *TOPIC;
extern char *NAMES;
extern char *INVITE;
extern char *KICK;
extern char *MOTD;
extern char *LUSERS;
extern char *USERS;
extern char *VERSION;
extern char *STATS;
extern char *TIME;
extern char *CONNECT;
extern char *TRACE;
extern char *ADMIN;
extern char *INFO;
extern char *SQUERY;
extern char *WHO;
extern char *WHOWAS;
extern char *KILL;
extern char *ERROR;
extern char *AWAY;
extern char *REHASH;
extern char *DIE;
extern char *RESTART;
extern char *SUMMON;
extern char *WALLOPS;
extern char *USERHOST;
extern char *ISON;
extern char *NICK;
extern char *USER;
extern char *LIST;
extern char *JOIN;
extern char *PART;
extern char *MODE;
extern char *PING;
extern char *PONG;
extern char *QUIT;
extern char *SQUIT;
extern char *WHOIS;
extern char *NOTICE;
extern char *PRIVMSG;


// ERRORS

extern char *ERR_NOSUCHNICK;
extern char *ERR_NOSUCHSERVER;
extern char *ERR_NOSUCHCHANNEL;
extern char *ERR_CANNOTSENDTOCHAN;
extern char *ERR_TOOMANYCHANNELS;
extern char *ERR_WASNOSUCHNICK;
extern char *ERR_TOOMANYTARGETS;
extern char *ERR_NOSUCHSERVICE;
extern char *ERR_NOORIGIN;
extern char *ERR_NORECIPIENT;
extern char *ERR_NOTEXTTOSEND;
extern char *ERR_NOTOPLEVEL;
extern char *ERR_WILDTOPLEVEL;
extern char *ERR_BADMASK;
extern char *ERR_UNKNOWNCOMMAND;
extern char *ERR_NOMOTD;
extern char *ERR_NOADMININFO;
extern char *ERR_FILEERROR;
extern char *ERR_NONICKNAMEGIVEN;
extern char *ERR_ERRONEUSNICKNAME;
extern char *ERR_NICKNAMEINUSE;
extern char *ERR_NICKCOLLISION;
extern char *ERR_UNAVAILRESOURCE;
extern char *ERR_USERNOTINCHANNEL;
extern char *ERR_NOTONCHANNEL;
extern char *ERR_USERONCHANNEL;
extern char *ERR_NOLOGIN;
extern char *ERR_SUMMONDISABLED;
extern char *ERR_USERSDISABLED;
extern char *ERR_NOTREGISTERED;
extern char *ERR_NEEDMOREPARAMS;
extern char *ERR_ALREADYREGISTRED;
extern char *ERR_NOPERMFORHOST;
extern char *ERR_PASSWDMISMATCH;
extern char *ERR_YOUREBANNEDCREEP;
extern char *ERR_YOUWILLBEBANNED;
extern char *ERR_KEYSET;
extern char *ERR_CHANNELISFULL;
extern char *ERR_UNKNOWNMODE;
extern char *ERR_INVITEONLYCHAN;
extern char *ERR_BANNEDFROMCHAN;
extern char *ERR_BADCHANNELKEY;
extern char *ERR_BADCHANMASK;
extern char *ERR_NOCHANMODES;
extern char *ERR_BANLISTFULL;
extern char *ERR_NOPRIVILEGES;
extern char *ERR_CHANOPRIVSNEEDED;
extern char *ERR_CANTKILLSERVER;
extern char *ERR_RESTRICTED;
extern char *ERR_UNIQOPPRIVSNEEDED;
extern char *ERR_NOOPERHOST;
extern char *ERR_UMODEUNKNOWNFLAG;
extern char *ERR_USERSDONTMATCH;


// REPLIES

extern char *RPL_WELCOME;
extern char *RPL_NONE;
extern char *RPL_USERHOST;
extern char *RPL_ISON;
extern char *RPL_AWAY;
extern char *RPL_UNAWAY;
extern char *RPL_NOWAWAY;
extern char *RPL_WHOISUSER;
extern char *RPL_WHOISSERVER;
extern char *RPL_WHOISOPERATOR;
extern char *RPL_WHOISIDLE;
extern char *RPL_ENDOFWHOIS;
extern char *RPL_WHOISCHANNELS;
extern char *RPL_WHOWASUSER;
extern char *RPL_ENDOFWHOWAS;
extern char *RPL_LISTSTART;
extern char *RPL_LIST;
extern char *RPL_LISTEND;
extern char *RPL_CHANNELMODEIS;
extern char *RPL_NOTOPIC;
extern char *RPL_TOPIC;
extern char *RPL_INVITING;
extern char *RPL_SUMMONING;
extern char *RPL_VERSION;
extern char *RPL_WHOREPLY;
extern char *RPL_ENDOFWHO;
extern char *RPL_NAMREPLY;
extern char *RPL_ENDOFNAMES;
extern char *RPL_LINKS;
extern char *RPL_ENDOFLINKS;
extern char *RPL_BANLIST;
extern char *RPL_EXCEPTLIST;
extern char *RPL_UNIQOPIS;
extern char *RPL_ENDOFBANLIST;
extern char *RPL_ENDOFEXCEPTLIST;
extern char *RPL_INVITELIST;
extern char *RPL_ENDOFINVITELIST;
extern char *RPL_INFO;
extern char *RPL_ENDOFINFO;
extern char *RPL_MOTDSTART;
extern char *RPL_MOTD;
extern char *RPL_ENDOFMOTD;
extern char *RPL_YOUREOPER;
extern char *RPL_REHASHING;
extern char *RPL_TIME;
extern char *RPL_USERSSTART;
extern char *RPL_USERS;
extern char *RPL_ENDOFUSERS;
extern char *RPL_NOUSERS;
extern char *RPL_LUSERCLIENT;
extern char *RPL_LUSERUNKNOWN;
extern char *RPL_LUSERME;
extern char *RPL_LUSEROP;
extern char *RPL_LUSERCHANNELS;
extern char *RPL_TRACELINK;
extern char *RPL_TRACECONNECTING;
extern char *RPL_TRACEHANDSHAKE;
extern char *RPL_TRACEUNKNOWN;
extern char *RPL_TRACEOPERATOR;
extern char *RPL_TRACEUSER;
extern char *RPL_TRACESERVER;
extern char *RPL_TRACESERVICE;
extern char *RPL_TRACENEWTYPE;
extern char *RPL_TRACECLASS ;
extern char *RPL_TRACELOG;
extern char *RPL_TRACEEND;
extern char *RPL_STATSLINKINFO;
extern char *RPL_STATSCOMMANDS;
extern char *RPL_STATSCLINE;
extern char *RPL_STATSNLINE;
extern char *RPL_STATSILINE;
extern char *RPL_STATSKLINE;
extern char *RPL_STATSYLINE;
extern char *RPL_ENDOFSTATS;
extern char *RPL_STATSLLINE;
extern char *RPL_STATSUPTIME;
extern char *RPL_STATSOLINE;
extern char *RPL_STATSHLINE;
extern char *RPL_UMODEIS;
extern char *RPL_ADMINME;
extern char *RPL_ADMINLOC1;
extern char *RPL_ADMINLOC2;
extern char *RPL_ADMINEMAIL;
extern char *RPL_YOURESERVICE;
extern char *RPL_MYINFO;
extern char *RPL_YOURHOST;

#endif
